public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/qt:master commit in: x11-libs/qt-script/, sets/
@ 2012-07-25  0:58 Davide Pesavento
  0 siblings, 0 replies; only message in thread
From: Davide Pesavento @ 2012-07-25  0:58 UTC (permalink / raw
  To: gentoo-commits

commit:     1e10cba896c9c8bf1eb2fc51ce80719e34f5e89b
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Wed Jul 25 00:43:01 2012 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Wed Jul 25 00:43:01 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=1e10cba8

[x11-libs/qt-script] QtScript live ebuild for Qt5.

---
 sets/qt5-addons                            |    2 +-
 x11-libs/qt-script/metadata.xml            |    1 +
 x11-libs/qt-script/qt-script-5.9999.ebuild |   33 ++++++++++++++++++++++++++++
 3 files changed, 35 insertions(+), 1 deletions(-)

diff --git a/sets/qt5-addons b/sets/qt5-addons
index 52283b5..a05fcfe 100644
--- a/sets/qt5-addons
+++ b/sets/qt5-addons
@@ -3,7 +3,7 @@
 
 x11-libs/qt-dbus:5
 x11-libs/qt-opengl:5
-#x11-libs/qt-script:5
+x11-libs/qt-script:5
 #x11-libs/qt-svg:5
 x11-libs/qt-widgets:5
 x11-libs/qt-xml:5

diff --git a/x11-libs/qt-script/metadata.xml b/x11-libs/qt-script/metadata.xml
index 782c134..997a1cb 100644
--- a/x11-libs/qt-script/metadata.xml
+++ b/x11-libs/qt-script/metadata.xml
@@ -6,6 +6,7 @@
 		<flag name="c++0x">Build Qt using the C++11 standard</flag>
 		<flag name="exceptions">Add support for exceptions - like catching them
 			inside the event loop (recommended by Nokia)</flag>
+		<flag name="scripttools">Build the QtScriptTools module (requires QtWidgets)</flag>
 	</use>
 	<upstream>
 		<bugs-to>https://bugreports.qt-project.org/</bugs-to>

diff --git a/x11-libs/qt-script/qt-script-5.9999.ebuild b/x11-libs/qt-script/qt-script-5.9999.ebuild
new file mode 100644
index 0000000..f991f7c
--- /dev/null
+++ b/x11-libs/qt-script/qt-script-5.9999.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit qt5-module
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+
+if [[ ${QT5_BUILD_TYPE} == live ]]; then
+	KEYWORDS=""
+else
+	KEYWORDS="~amd64"
+fi
+
+IUSE="scripttools"
+
+DEPEND="
+	~x11-libs/qt-core-${PV}[debug=]
+	scripttools? (
+		~x11-libs/qt-gui-${PV}[debug=]
+		~x11-libs/qt-widgets-${PV}[debug=]
+	)
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	qt5-module_src_prepare
+
+	use scripttools || sed -i -e '/scripttools/d' \
+		src/src.pro || die
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2012-07-25  0:58 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-07-25  0:58 [gentoo-commits] proj/qt:master commit in: x11-libs/qt-script/, sets/ Davide Pesavento

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox